# Copyright (c) 2020  PaddlePaddle Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from .bmn_metric import BMNMetric
from .build import build_metric
from .center_crop_metric import CenterCropMetric
from .depth_metric import DepthMetric
from .msrvtt_metric import MSRVTTMetric
from .multi_crop_metric import MultiCropMetric
from .registry import METRIC
from .skeleton_metric import SkeletonMetric
from .transnetv2_metric import TransNetV2Metric
from .youtube8m.eval_util import HitOneMetric
from .segmentation_metric import SegmentationMetric
from .ava_metric import AVAMetric
from .vos_metric import VOSMetric
from .center_crop_metric_MRI import CenterCropMetric_MRI
from .yowo_metric import YOWOMetric

__all__ = [
    'METRIC', 'build_metric', 'MultiCropMetric', 'BMNMetric',
    'CenterCropMetric', 'SkeletonMetric', 'HitOneMetric', 'TransNetV2Metric',
    'DepthMetric', 'MSRVTTMetric', 'VOSMetric', 'CenterCropMetric_MRI','AVAMetric',
    'SegmentationMetric', 'YOWOMetric'
]
